import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";
import { viteStaticCopy } from "vite-plugin-static-copy";

// https://vitejs.dev/config/
export default defineConfig({
  worker: {
    format: "es",
  },
  optimizeDeps: {
    exclude: ["itk-wasm", "@itk-wasm/image-io"],
  },
  plugins: [
    react(),
    viteStaticCopy({
      targets: [
        { src: "../../../dist/pipelines/*", dest: "pipelines" },
        {
          src: "../../../node_modules/@itk-wasm/image-io/dist/pipelines/*.{js,wasm,wasm.zst}",
          dest: "pipelines",
        },
      ],
    }),
  ],
});
